Bug 29554 - scripts are inconsistent
scripts are inconsistent
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
7.1
All Linux
low Severity low
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-02-26 10:10 EST by Chris Ricker
Modified: 2014-03-16 22:19 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-22 15:48:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Ricker 2001-02-26 10:10:29 EST
Many of the init scripts are inconsistent with each other.  Watch the
startup and shutdown, and you'll notice that, for example, some scripts say
"Shutting down <service>" while others say "Stopping <service>", and there
are similar problems with startup.

Long-term, it'll present a more coherent interface if all scripts
standardize on one consistent boilerplate.
Comment 1 Chris Ricker 2001-06-27 12:35:28 EDT
While I'm complaining, some scripts are named by the daemon, while others are
named by the service provided, and still others are named by the package.  For
example, apache's init script is httpd (daemon), postfix's init script is
postfix (package name), and samba's init script is smb (service provided).  It'd
help usability to pick a standard name and stick with it so users always know
what to expect....
Comment 2 Chris Ricker 2001-08-21 02:54:50 EDT
All this is still true of RC1 for the upcoming 7.2 release.
Comment 3 Chris Ricker 2002-05-05 11:00:15 EDT
All this is still true with 7.3 gold.

When 8.0 development starts, is there any chance this will be fixed?  These
aren't major bugs, obviously, but these sorts of minor nits are what distinguish
quality, easy-to-use software from thrown-together, inconsistent software.  The
devil really is in the details and all that....

If someone sez what the standard should be (I'd think it would have to be naming
init scripts by package; naming by service won't work b/c multiple packages
provide the same service), I'll start submitting patches against packages for
this....
Comment 4 Bill Nottingham 2002-05-07 11:42:26 EDT
Renaming the scripts is an impossibility; it will destroy all saved
configuration of whether they're enabled or disabled across upgrades.
Comment 5 Chris Ricker 2002-05-07 13:21:10 EDT
There are a couple of ways to work around that (here using the case of changing
httpd to apache as a common example) that I can think of:

1.  make /etc/init.d/httpd a symlink to /etc/init.d/apache
(ugly as sin, but guaranteed correct)
2.  %post script looking at chkconfig line in /etc/init.d/apache to see
defaults, then looking in /etc/rc?.d/ dirs for symlinks, then changing those to
point to /etc/init.d/apache
(much cleaner, but also much more fragile)

and then there's always

3.  say screw it and have a flag day

Whether it's worth any of those (except maybe #2), I really don't know.  On the
other hand, I do know that when I'm introducing people to RH administration, the
inconsistencies [eg, "why is Samba's smb (one of the protocols it provides),
while BIND's is named (the binary which implements it), while PostgreSQL's is
postgresql (the name of the software), while....]are frequently noticed and
complained about....
Comment 6 Bill Nottingham 2005-02-22 15:48:49 EST
Closing out bugs on older, no longer supported releases. Apologies for any lack
of response.

As listed, I'd state that #1 is too ugly, #2 is too fragile, and #3, while nice,
is impractical. Not sure that breaking compatibility with upstream is worth it.

Note You need to log in before you can comment on or make changes to this bug.